<ion-header>
    <ion-navbar color="primary">
      <ion-title>Filters</ion-title>
    </ion-navbar>
  </ion-header>

  <ion-content>
    <ion-item>
        <ion-label>Sort Newest to Oldest</ion-label>
        <ion-toggle [(ngModel)]="filter.newest_to_oldest"></ion-toggle>
    </ion-item>    
    <ion-item>
        <ion-label>Show All Dates</ion-label>
        <ion-toggle (change)="showAllChanged()" [(ngModel)]="filter.show_all_dates"></ion-toggle>
    </ion-item>    
    <ion-item>
        <ion-label>Delivery Date</ion-label>
        <ion-datetime displayFormat="MMM DD, YYYY" max="2050-01-01" [(ngModel)]="filter.delivery_date" [disabled]="filter.show_all_dates"></ion-datetime>
    </ion-item>
    <ion-item *ngIf="isAdmin">
        <ion-label>Delivered by</ion-label>
        <ion-select [(ngModel)]="filter.deliverer">
            <ion-option>All</ion-option>
            <ion-option *ngFor="let deliverer of deliverers" [value]="deliverer.id">{{deliverer.name}}</ion-option>
        </ion-select>
    </ion-item>
    <ion-item>
        <ion-label>Truck</ion-label>
        <ion-select [(ngModel)]="filter.truck">
            <ion-option>All</ion-option>            
            <ion-option *ngFor="let truck of trucks" [value]="truck">{{truck}}</ion-option>
        </ion-select>
    </ion-item>
  </ion-content>